package ru.yandex.direct.web.entity.retargetinglists.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class ReplaceGoal {
    public static final String OLD_GOAL_ID = "old_goal_id";
    public static final String NEW_GOAL_ID = "new_goal_id";
    @JsonProperty(OLD_GOAL_ID)
    private Long oldGoalId;

    @JsonProperty(NEW_GOAL_ID)
    private Long newGoalId;

    public Long getOldGoalId() {
        return oldGoalId;
    }

    public ReplaceGoal withOldGoalId(Long oldGoalId) {
        this.oldGoalId = oldGoalId;
        return this;
    }

    public Long getNewGoalId() {
        return newGoalId;
    }

    public ReplaceGoal withNewGoalId(Long newGoalId) {
        this.newGoalId = newGoalId;
        return this;
    }
}
